# pizza.py

from abc import *
from gturtle import *
from math import *

class Pizza():
    __metaclass__ = ABCMeta
   
    def makeDough(self): 
        setPenColor(makeColor(255, 218, 148))
        setPos(0, 0)
        dot(350) 

    def addTomato(self): 
        setPenColor(makeColor(200, 50, 0))
        dot(300) 
  
    def addMozzarella(self): 
        setPenColor(makeColor(243, 243, 210))
        for i in range(6):
            setPos(100 * sin(i * pi/3), 100 * cos(i * pi/3))
            dot(40) 
            
    def showPrice(self): 
        setPenColor("blue")
        setPos(-300, -250)
        label("Please pay  " + self.price + " Fr.")

    def createPizza(self): 
        self.makeDough()
        self.addTomato()
        self.addMozzarella() 
        self.addIngredients()
        self.showPrice()
        setTitle(self.name)
 
    @abstractmethod
    def addIngredients(self):
        pass   
